Bug 1684719 - Review Request: netdata - Real-time performance monitoring
Summary: Review Request: netdata - Real-time performance monitoring
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 22:48 UTC by Didier Fabert (tartare)
Modified: 2019-04-07 01:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 05:55:03 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Didier Fabert (tartare) 2019-03-01 22:48:05 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/tartare/netdata/fedora-rawhide-x86_64/00863836-netdata/netdata.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/tartare/netdata/fedora-rawhide-x86_64/00863836-netdata/netdata-1.12.2-1.fc30.src.rpm

Description: netdata is the fastest way to visualize metrics. It is a resource efficient, highly optimized system for collecting and visualizing any type of realtime time-series data, from CPU usage, disk activity, SQL queries, API calls, web site visitors, etc.
netdata tries to visualize the truth of now, in its greatest detail, so that you can get insights of what is happening now and what just happened, on your systems and applications.

Fedora Account System Username: tartare

Comment 1 Robert-André Mauchin 🐧 2019-03-02 00:39:50 UTC
 - You need to specify if 0%{?rhel}, otherwise it will evaluate as 0  and thus true on non-RHEL system:

%if 0%{?rhel} <= 7 → %if 0%{?rhel} && 0%{?rhel} <= 7

 - You could use bcond_with/bcond_without here (http://rpm.org/user_doc/conditional_builds.html):

%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%global with_systemd 1
%else
%global with_systemd 0
%endif

 - make %{?_smp_mflags} → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - Don't use these macros which don't bring anything more:

%{__mkdir_p} → mkdir -p

%{__install} → install

%{__mv} → mv

 - Use install -p to keep timestamps

 - Use the needed Requires for systemd macros:

BuildRequires:  systemd

→

BuildRequires: systemd-rpm-macros
%{?systemd_requires}


The rest looks ok but I haven't run fedora-review yet, I'll wait for an update of the SPEC to address the aformentioned issues.

Comment 2 Didier Fabert (tartare) 2019-03-02 10:13:18 UTC
Hi Robert-André, thanks to review my package.

I have a strange build error now on local mock build and copr for el7 and all fedora releases:
No matching package to install: 'systemd-rpm-macros'
But according to the guideline (https://docs.fedoraproject.org/en-US/packaging-guidelines/Systemd/) this package must be installed if systemd is required. Where are the error ?

You can found a modified spec file here: https://copr-be.cloud.fedoraproject.org/results/tartare/netdata/fedora-29-x86_64/00863935-netdata/netdata.spec

Comment 3 Robert-André Mauchin 🐧 2019-03-02 15:16:28 UTC
 - My bad, systemd-rpm-macros is Rawhide only apparently, use BuildRequires: systemd instead.

 - There's another issue on Rawhide on your COPR:

*** ERROR: ambiguous python shebang in /usr/libexec/netdata/python.d/python_modules/third_party/boinc_client.py: #!/usr/bin/python. Change it to python3 (or python2) explicitly.


   Patch this file to use python 3.

Comment 4 Didier Fabert (tartare) 2019-03-02 23:33:17 UTC
This issue is the result of a bad solution: force file to be executable in spec to avoid a rpmlint issue. The good solution is to remove shebang (classes, structs and functions definitions only) and delete this buggy fix in spec.
new rpm source: https://copr-be.cloud.fedoraproject.org/results/tartare/netdata/fedora-rawhide-x86_64/00864006-netdata/netdata-1.12.2-2.fc30.src.rpm
new spec file: https://copr-be.cloud.fedoraproject.org/results/tartare/netdata/fedora-rawhide-x86_64/00864006-netdata/netdata.spec

Comment 5 Robert-André Mauchin 🐧 2019-03-03 15:38:46 UTC
 - Use a better name for your archive:

Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz


LGTM, package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 337920 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Package uses hardened build flags if required to.
     Note: suid files: apps.plugin, freeipmi.plugin
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in netdata-
     data , netdata-conf , netdata-debuginfo , netdata-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: netdata-1.12.2-2.fc31.x86_64.rpm
          netdata-data-1.12.2-2.fc31.noarch.rpm
          netdata-conf-1.12.2-2.fc31.noarch.rpm
          netdata-freeipmi-1.12.2-2.fc31.x86_64.rpm
          netdata-debuginfo-1.12.2-2.fc31.x86_64.rpm
          netdata-debugsource-1.12.2-2.fc31.x86_64.rpm
          netdata-1.12.2-2.fc31.src.rpm
netdata.x86_64: E: missing-call-to-chdir-with-chroot /usr/libexec/netdata/plugins.d/cgroup-network
netdata.x86_64: W: dangling-relative-symlink /usr/lib/.build-id/34/f9e807767815b8bff5f3bb5bacbd2b6c759356 ../../../../usr/libexec/netdata/plugins.d/freeipmi.plugin
netdata.x86_64: E: setuid-binary /usr/libexec/netdata/plugins.d/apps.plugin root 4755
netdata.x86_64: E: non-standard-executable-perm /usr/libexec/netdata/plugins.d/apps.plugin 4755
netdata.x86_64: W: non-standard-uid /var/cache/netdata netdata
netdata.x86_64: W: non-standard-gid /var/cache/netdata netdata
netdata.x86_64: W: non-standard-uid /var/lib/netdata netdata
netdata.x86_64: W: non-standard-gid /var/lib/netdata netdata
netdata.x86_64: W: non-standard-uid /var/lib/netdata/registry netdata
netdata.x86_64: W: non-standard-gid /var/lib/netdata/registry netdata
netdata.x86_64: W: non-standard-uid /var/log/netdata netdata
netdata.x86_64: W: non-standard-gid /var/log/netdata netdata
netdata.x86_64: W: no-manual-page-for-binary netdata
netdata-freeipmi.x86_64: E: setuid-binary /usr/libexec/netdata/plugins.d/freeipmi.plugin root 4755
netdata-freeipmi.x86_64: E: non-standard-executable-perm /usr/libexec/netdata/plugins.d/freeipmi.plugin 4755
7 packages and 0 specfiles checked; 5 errors, 10 warnings.

Comment 6 Didier Fabert (tartare) 2019-03-03 18:25:26 UTC
Last packages with archive name fixed: https://copr.fedorainfracloud.org/coprs/tartare/netdata/build/864160/

Comment 7 Gwyn Ciesla 2019-03-18 13:17:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/netdata

Comment 8 Fedora Update System 2019-03-19 05:50:45 UTC
netdata-1.12.2-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d6a2bb29d

Comment 9 Fedora Update System 2019-03-19 05:52:13 UTC
netdata-1.12.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-71271c98ac

Comment 10 Fedora Update System 2019-03-19 05:52:44 UTC
netdata-1.12.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6e7515c5e

Comment 11 Fedora Update System 2019-03-19 05:53:18 UTC
netdata-1.12.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1f1ea9b9eb

Comment 12 Fedora Update System 2019-03-19 05:53:42 UTC
netdata-1.12.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-73f56470be

Comment 13 Fedora Update System 2019-03-20 18:24:19 UTC
netdata-1.13.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-23888c4364

Comment 14 Fedora Update System 2019-03-20 18:24:42 UTC
netdata-1.13.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-10ea87d38a

Comment 15 Fedora Update System 2019-03-20 18:25:08 UTC
netdata-1.13.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0c5216669c

Comment 16 Fedora Update System 2019-03-20 18:25:38 UTC
netdata-1.13.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9a8ab198f1

Comment 17 Fedora Update System 2019-03-20 18:26:27 UTC
netdata-1.13.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-91ffe4b946

Comment 18 Fedora Update System 2019-03-20 19:58:55 UTC
netdata-1.13.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9a8ab198f1

Comment 19 Fedora Update System 2019-03-20 21:26:51 UTC
netdata-1.13.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-91ffe4b946

Comment 20 Fedora Update System 2019-03-20 22:02:37 UTC
netdata-1.13.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-10ea87d38a

Comment 21 Fedora Update System 2019-03-20 22:18:29 UTC
netdata-1.13.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0c5216669c

Comment 22 Fedora Update System 2019-03-21 19:12:16 UTC
netdata-1.13.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-23888c4364

Comment 23 Fedora Update System 2019-03-22 22:49:31 UTC
netdata-1.13.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-22dc1d1ec0

Comment 24 Fedora Update System 2019-03-22 22:50:06 UTC
netdata-1.13.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-36a152fd9b

Comment 25 Fedora Update System 2019-03-22 22:50:22 UTC
netdata-1.13.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3c4b00541

Comment 26 Fedora Update System 2019-03-22 22:51:12 UTC
netdata-1.13.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-711c0d07dc

Comment 27 Fedora Update System 2019-03-22 22:51:29 UTC
netdata-1.13.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f72c9d271

Comment 28 Fedora Update System 2019-03-23 02:41:36 UTC
netdata-1.13.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-711c0d07dc

Comment 29 Fedora Update System 2019-03-23 02:58:47 UTC
netdata-1.13.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-36a152fd9b

Comment 30 Fedora Update System 2019-03-23 03:13:03 UTC
netdata-1.13.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f72c9d271

Comment 31 Fedora Update System 2019-03-23 03:15:36 UTC
netdata-1.13.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-22dc1d1ec0

Comment 32 Fedora Update System 2019-03-24 03:13:11 UTC
netdata-1.13.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3c4b00541

Comment 33 Fedora Update System 2019-04-02 00:01:34 UTC
netdata-1.13.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2019-04-02 01:36:20 UTC
netdata-1.13.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2019-04-02 02:13:55 UTC
netdata-1.13.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2019-04-07 00:52:01 UTC
netdata-1.13.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2019-04-07 01:29:54 UTC
netdata-1.13.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.